<div
  class='input-data-binding-connection-info'
  {{did-insert this.setup}}
  {{did-update this.setup @value @type}}
>
  {{#if this.hasType}}

    {{#if this.hasValidType}}
      {{#each this.currentFields as |field|}}
        <div class='mb-3'>
          <label for='{{this.elementId}}-{{field.name}}' class='form-label'>
            {{field.label}}
          </label>
          <Input
            @value={{field.value}}
            class='form-control connection-info-{{field.name}}'
            id='{{this.elementId}}-{{field.name}}'
            {{on 'input' (fn this.updateValue field.name)}}
          />
        </div>
      {{/each}}
    {{else}}
      <div class='alert alert-secondary' role='alert'>
        {{t 'message-alert-invalid-connection-info-type'}}
      </div>
    {{/if}}
  {{else}}
    <div class='alert alert-secondary' role='alert'>
      {{t 'message-alert-missing-connection-info-type'}}
    </div>
  {{/if}}
</div>